/*
delete_return.jsx
(c)2007 www.seuzo.jp
選択テキストから改行文字を取り除きます。
2007.09.14	ver.0.1 とりあえず。

*/


////////////////////////////////////////////エラー処理 
function myerror(mess) { 
  if (arguments.length > 0) { alert(mess); }
  exit();
}

////////////////////////////////////////////検索置換 
function my_find_change(my_range_obj, my_find_str, my_change_str) {
	//検索の初期化
	app.findTextPreferences = NothingEnum.nothing;
	app.changeTextPreferences = NothingEnum.nothing;
	//検索オプション
	app.findChangeTextOptions.includeLockedLayersForFind = false;//ロックされたレイヤーをふくめるかどうか
	app.findChangeTextOptions.includeLockedStoriesForFind = false;//ロックされたレイヤーを含めるかどうか
	app.findChangeTextOptions.includeHiddenLayers = false;//非表示レイヤーを含めるかどうか
	app.findChangeTextOptions.includeMasterPages = false;//マスターページを含めるかどうか
	app.findChangeTextOptions.includeFootnotes = false;//脚注を含めるかどうか
	app.findChangeTextOptions.caseSensitive = true;//大文字小文字を区別するかどうか
	app.findChangeTextOptions.wholeWord = false;//単語として検索するかどうか
	app.findChangeTextOptions.kanaSensitive = true;//カナを区別するかどうか
	app.findChangeTextOptions.widthSensitive = true;//全角半角を区別するかどうか

	app.findTextPreferences.findWhat = my_find_str;//検索文字の設定
	app.changeTextPreferences.changeTo = my_change_str;//置換文字の設定
	return my_range_obj.changeText ();//置換の実行
}

/////実行
if (app.documents.length == 0) {myerror("ドキュメントが開かれていません")}
var mydocument = app.activeDocument;
if (mydocument.selection.length == 0) {myerror("テキストを選択してください")}
var myselection = mydocument.selection[0];
var myclass =myselection.reflect.name;
myclass = "Text, TextColumn, Story, Paragraph, Line, Word, Character".match(myclass);
if (myclass == null) {myerror("テキストを選択してください")}

my_find_change(myselection, "^p", "");
